Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83457 - Prefix /etc/http/conf.d/*.conf files with numbers like in /etc/rc3.d
Summary: Prefix /etc/http/conf.d/*.conf files with numbers like in /etc/rc3.d
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-04 16:55 UTC by Soren Roug
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-31 15:00:24 UTC


Attachments (Terms of Use)

Description Soren Roug 2003-02-04 16:55:29 UTC
Feature request: In case there are dependencies between the modules loaded 
from /etc/httpd/conf.d, I will recommend you put two-digit number prefixes on 
all .conf files to ensure they are loaded in the correct order.

Comment 1 Joe Orton 2003-02-04 16:59:07 UTC
We considered this, but there aren't supposed to be load-order dependencies
between modules in 2.0 due to the new hooks API.   A few have cropped up since
that decision was taken, of course.

Comment 2 Joe Orton 2003-03-31 15:00:24 UTC
I'll mark this as WONTFIX until we find a case where this is actually needed.


Note You need to log in before you can comment on or make changes to this bug.